package convexHull;

import java.awt.*;
import java.awt.event.*;
/**
 * This type was created in VisualAge.
 */
public class MyCanvas extends Canvas
{
/**
 * MyCanvas constructor comment.
 */
public MyCanvas()
{
	super();
	addMouseListener(new MouseAdapter()
	{
		public void mousePressed(MouseEvent e)
		{
			mousePressedCB(e);
		}
	});
	addMouseMotionListener(new MouseMotionAdapter()
	{
		public void mouseDragged(MouseEvent e)
		{
			mousePressedCB(e);
		}
	});
}
public void mousePressedCB(MouseEvent e)
{
	// draw a point
	Graphics g = getGraphics();
	g.setColor(Color.red);
	g.drawRect(e.getX(), e.getY(), 1, 1);
}
/**
 * This method was created in VisualAge.
 * @param g Graphics
 */
public void paint(Graphics g)
{
	// get the dimensions of the canvas
	Dimension dim = getSize();

	// clear the canvas with a gray background
	g.setColor(Color.lightGray);
	g.clearRect(0, 0, dim.width, dim.height);

	// draw a circle in the center
	g.setColor(Color.red);
	g.drawOval(0, 0, dim.width, dim.height);
}
}